> This page is for version v1.0 (deprecated).
> For other versions, use one of these documentation indexes:
> - 2026-07 (default): https://developer.shipbob.com/2026-07/llms.txt
> - 2026-01: https://developer.shipbob.com/2026-01/llms.txt
> - 2025-07: https://developer.shipbob.com/2025-07/llms.txt
> - v2.0 (deprecated): https://developer.shipbob.com/v2.0/llms.txt
> - v1.0 (deprecated): https://developer.shipbob.com/v1.0/llms.txt
> - Experimental: https://developer.shipbob.com/experimental/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Create Warehouse Receiving Order (DEPRECATED)


POST https://api.shipbob.com/1.0/receiving
Content-Type: application/json

This endpoint is deprecated. Please use /2.0/receiving


Reference: https://developer.shipbob.com/v1.0/api/receiving/create-warehouse-receiving-order-deprecated

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Body (application/json)

This endpoint expects a Receiving.CreateReceivingOrderModel.

- `box_packaging_type` (enum, required)
  - Allowed values: `EverythingInOneBox`, `OneSkuPerBox`, `MultipleSkuPerBox`
- `boxes` (list of Receiving.AddBoxToOrderModel, required, nullable) — Box shipments to be added to this receiving order
- `expected_arrival_date` (datetime, required) — Expected arrival date of all the box shipments in this receiving order
- `fulfillment_center` (Receiving.AssignOrderToFulfillmentCenterModel, required) — Model containing information that assigns a receiving order to a fulfillment center. If the fulfillment center provided is in a receiving hub region, then the response will be the receiving hub location.
- `package_type` (enum, required)
  - Allowed values: `Package`, `Pallet`, `FloorLoadedContainer`
- `purchase_order_number` (string, optional, nullable) — Purchase order number for this receiving order

## Response

### 201

Success

- `box_labels_uri` (string, optional, nullable) — URL to the packing slip to be included in each box shipment for this receiving order
- `box_packaging_type` (enum, optional)
  - Allowed values: `EverythingInOneBox`, `OneSkuPerBox`, `MultipleSkuPerBox`
- `boxes` (list of Receiving.BoxViewModel, optional, nullable) — Information about the boxes being shipped in this receiving order
- `expected_arrival_date` (datetime, optional) — Expected date that all packages will have arrived
- `fulfillment_center` (Receiving.FulfillmentCenterViewModel, optional) — Information about a fulfillment center
- `id` (integer, optional) — Unique id of the warehouse receiving order
- `insert_date` (datetime, optional) — Insert date of the receiving order
- `last_updated_date` (datetime, optional) — Last date the receiving order was updated
- `package_type` (enum, optional)
  - Allowed values: `Package`, `Pallet`, `FloorLoadedContainer`
- `purchase_order_number` (string, optional, nullable) — Purchase order number for a receiving order
- `status` (enum, optional)
  - Allowed values: `Awaiting`, `Processing`, `Completed`, `Cancelled`, `Incomplete`, `Arrived`, `PartiallyArrived`, `PartiallyArrivedAtHub`, `ArrivedAtHub`, `ProcessingAtHub`, `InternalTransfer`

## Errors

### 400 Bad Request Error

Bad Request

- `map from string to list of string`

### 401 Unauthorized Error

Authorization missing or invalid

- `any`

### 403 Forbidden Error

The provided credentials are not authorized to access this resource

- `any`

### 404 Not Found Error

Not Found

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

## Types

### Receiving.AddBoxToOrderModel

Information about a box shipment to be added to a receiving order

- `box_items` (list of Receiving.AddBoxItemToBoxModel, required, nullable) — Items contained in this box
- `tracking_number` (string, required, nullable) — Tracking number for the box shipment

### Receiving.AssignOrderToFulfillmentCenterModel

Model containing information that assigns a receiving order to a fulfillment center. If the fulfillment center provided is in a receiving hub region, then the response will be the receiving hub location.

- `id` (integer, required) — ID of the fulfillment center to assign this receiving order to

### Receiving.BoxViewModel

Information about a box shipment included in a receiving order

- `arrived_date` (datetime, optional, nullable) — Date the box arrived
- `box_id` (integer, optional)
- `box_items` (list of Receiving.BoxItemViewModel, optional, nullable) — Information about the items included in the box
- `box_number` (integer, optional) — The number of the box in the receiving order
- `box_status` (enum, optional)
  - Allowed values: `Awaiting`, `Arrived`, `Completed`, `Counting`, `Stowing`, `Cancelled`
- `counting_started_date` (datetime, optional, nullable) — Date counting of the box's inventory items started
- `received_date` (datetime, optional, nullable) — Date the box was received
- `tracking_number` (string, optional, nullable) — Tracking number of the box shipment

### Receiving.FulfillmentCenterViewModel

Information about a fulfillment center

- `address1` (string, optional, nullable) — Address line one of the fulfillment center
- `address2` (string, optional, nullable) — Address line two of the fulfillment center
- `city` (string, optional, nullable) — City the fulfillment center is located in
- `country` (string, optional, nullable) — Country the fulfillment center is located in
- `email` (string, optional, nullable) — Email contact for the fulfillment center
- `id` (integer, optional) — Unique identifier of the fulfillment center
- `name` (string, optional, nullable) — Name of the fulfillment center
- `phone_number` (string, optional, nullable) — Phone number contact for the fulfillment center
- `state` (string, optional, nullable) — State the fulfillment center is located in
- `timezone` (string, optional, nullable) — Timezone the fulfillment center is located in
- `zip_code` (string, optional, nullable) — Postal code of the fulfillment center

### Receiving.AddBoxItemToBoxModel

Information about an inventory item contained inside a receiving order box

- `inventory_id` (integer, required) — Unique inventory id of the items in the box
- `quantity` (integer, required) — Quantity of the items in the box
- `lot_date` (datetime, optional, nullable) — Lot expiration date for the items in the box
- `lot_number` (string, optional, nullable) — Lot number of the items in the box

### Receiving.BoxItemViewModel

Information about an item contained inside a box as part of a receiving order

- `inventory_id` (integer, optional) — Unique identifier of the inventory item
- `lot_date` (datetime, optional, nullable) — Expiration date of the item's lot
- `lot_number` (string, optional, nullable) — Lot number the item belongs to
- `quantity` (integer, optional) — Quantity of the item included
- `received_quantity` (integer, optional) — Quantity of the item that was received after processing the receiving order

## Examples

**Request**

```json
{
  "box_packaging_type": "EverythingInOneBox",
  "boxes": [
    {
      "box_items": [
        {
          "inventory_id": 0,
          "quantity": 1,
          "lot_date": "2019-08-24T14:15:22Z",
          "lot_number": "2222"
        }
      ],
      "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
    }
  ],
  "expected_arrival_date": "2019-08-24T14:15:22Z",
  "fulfillment_center": {
    "id": 0
  },
  "package_type": "Package",
  "purchase_order_number": "string"
}
```

**Response**

```json
{
  "box_labels_uri": "https://api.shipbob.com/1.0/receiving/1/labels",
  "box_packaging_type": "EverythingInOneBox",
  "boxes": [
    {
      "arrived_date": "2019-08-24T14:15:22Z",
      "box_id": 0,
      "box_items": [
        {
          "inventory_id": 0,
          "lot_date": "2019-08-24T14:15:22Z",
          "lot_number": "string",
          "quantity": 0,
          "received_quantity": 0
        }
      ],
      "box_number": 0,
      "box_status": "Awaiting",
      "counting_started_date": "2019-08-24T14:15:22Z",
      "received_date": "2019-08-24T14:15:22Z",
      "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
    }
  ],
  "expected_arrival_date": "2019-08-24T14:15:22Z",
  "fulfillment_center": {
    "address1": "5900 W Ogden Ave",
    "address2": "Suite 100",
    "city": "Cicero",
    "country": "USA",
    "email": "example@example.com",
    "id": 0,
    "name": "Cicero (IL)",
    "phone_number": "555-555-5555",
    "state": "IL",
    "timezone": "Central Standard Time",
    "zip_code": "60804"
  },
  "id": 0,
  "insert_date": "2019-08-24T14:15:22Z",
  "last_updated_date": "2019-08-24T14:15:22Z",
  "package_type": "Package",
  "purchase_order_number": "string",
  "status": "Awaiting"
}
```

**SDK Code**

```python Receiving_createWarehouseReceivingOrderDeprecated_example
import requests

url = "https://api.shipbob.com/1.0/receiving"

payload = {
    "box_packaging_type": "EverythingInOneBox",
    "boxes": [
        {
            "box_items": [
                {
                    "inventory_id": 0,
                    "quantity": 1,
                    "lot_date": "2019-08-24T14:15:22Z",
                    "lot_number": "2222"
                }
            ],
            "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
        }
    ],
    "expected_arrival_date": "2019-08-24T14:15:22Z",
    "fulfillment_center": { "id": 0 },
    "package_type": "Package",
    "purchase_order_number": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Receiving_createWarehouseReceivingOrderDeprecated_example
const url = 'https://api.shipbob.com/1.0/receiving';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"box_packaging_type":"EverythingInOneBox","boxes":[{"box_items":[{"inventory_id":0,"quantity":1,"lot_date":"2019-08-24T14:15:22Z","lot_number":"2222"}],"tracking_number":"860C8CDC8F0B4FC7AB69AC86C20539EC"}],"expected_arrival_date":"2019-08-24T14:15:22Z","fulfillment_center":{"id":0},"package_type":"Package","purchase_order_number":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Receiving_createWarehouseReceivingOrderDeprecated_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/1.0/receiving"

	payload := strings.NewReader("{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Receiving_createWarehouseReceivingOrderDeprecated_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/1.0/receiving")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java Receiving_createWarehouseReceivingOrderDeprecated_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/1.0/receiving")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}")
  .asString();
```

```php Receiving_createWarehouseReceivingOrderDeprecated_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/1.0/receiving', [
  'body' => '{
  "box_packaging_type": "EverythingInOneBox",
  "boxes": [
    {
      "box_items": [
        {
          "inventory_id": 0,
          "quantity": 1,
          "lot_date": "2019-08-24T14:15:22Z",
          "lot_number": "2222"
        }
      ],
      "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
    }
  ],
  "expected_arrival_date": "2019-08-24T14:15:22Z",
  "fulfillment_center": {
    "id": 0
  },
  "package_type": "Package",
  "purchase_order_number": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Receiving_createWarehouseReceivingOrderDeprecated_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/1.0/receiving");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Receiving_createWarehouseReceivingOrderDeprecated_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "box_packaging_type": "EverythingInOneBox",
  "boxes": [
    [
      "box_items": [
        [
          "inventory_id": 0,
          "quantity": 1,
          "lot_date": "2019-08-24T14:15:22Z",
          "lot_number": "2222"
        ]
      ],
      "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
    ]
  ],
  "expected_arrival_date": "2019-08-24T14:15:22Z",
  "fulfillment_center": ["id": 0],
  "package_type": "Package",
  "purchase_order_number": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/receiving")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```